import request           from '@/utils/request';

const pre = `/banner`

export function getBannerAdd(data = {}) {
    return request({
                       url:    `${pre}/add`,
                       method: 'post',
                       data,
                   });
}

export function getBannerDelete(data = {}) {
    return request({
                       url:    `${pre}/delete`,
                       method: 'post',
                       data,
                   });
}

export function getBannerInfo(data = {}) {
    return request({
                       url:    `${pre}/info`,
                       method: 'post',
                       data,
                   });
}

export function getBannerList(data = {}) {
    return request({
                       url:    `${pre}/list`,
                       method: 'post',
                       data,
                   });
}

export function getBannerUpdate(data = {}) {
    return request({
                       url:    `${pre}/update`,
                       method: 'post',
                       data,
                   });
}